Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 832889 - www-client/falkon-3.2.0-r1[python] fails to build when dev-python/shiboken2 has multiple PYTHON_TARGETS
Summary: www-client/falkon-3.2.0-r1[python] fails to build when dev-python/shiboken2 h...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: PATCH
: 840434 846437 851876 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-02-08 08:26 UTC by Olivier Huber
Modified: 2022-06-14 10:04 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild patch (falkon.ebuild.patch,453 bytes, patch)
2022-02-08 08:31 UTC, Olivier Huber
Details | Diff
patch to specify python version (Shiboken2.patch,684 bytes, patch)
2022-02-08 08:34 UTC, Olivier Huber
Details | Diff
build log (build.log,6.96 KB, text/x-log)
2022-02-08 08:35 UTC, Olivier Huber
Details
Build log of Falkon-22 with pyhton patch applied (falkon-22.04.01-with-python_patch-Build.tar.gz,99.78 KB, application/gzip)
2022-05-19 03:29 UTC, B Nice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Huber 2022-02-08 08:26:01 UTC
from build.log:

-- Found PythonLibs: /usr/lib64/libpython3.9.so (found suitable version "3.9.10", minimum required is "3") 
CMake Error at /usr/lib64/cmake/Shiboken2-5.15.2/shiboken_helpers.cmake:468 (message):
  The detected Python minor version is not compatible with the Python minor
  version which was used when Shiboken was built.  Consider building shiboken
  with FORCE_LIMITED_API set to '1', so that only the Python major version
  matters.

  Built with: '3.10' Detected: '3.9'
Call Stack (most recent call first):
  /usr/lib64/cmake/Shiboken2-5.15.2/Shiboken2Config-python3.10.cmake:55 (shiboken_check_if_built_and_target_python_are_compatible)
  /usr/lib64/cmake/Shiboken2-5.15.2/Shiboken2Config.cmake:5 (include)
  CMakeLists.txt:128 (find_package)


-- Configuring incomplete, errors occurred!



dev-python/shiboken2 was built for python 3.9 and 3.10.
It seems that python 3.10 is selected as the default version: 


$ cat /usr/lib64/cmake/Shiboken2-5.15.2/Shiboken2Config.cmake
if (NOT PYTHON_CONFIG_SUFFIX)
    message(STATUS "Shiboken2Config: Using default python: -python3.10")
    SET(PYTHON_CONFIG_SUFFIX -python3.10)
endif()
include("${CMAKE_CURRENT_LIST_DIR}/Shiboken2Config${PYTHON_CONFIG_SUFFIX}.cmake")


However, the default python version is 3.9. 

$ emerge --info dev-python/shiboken2 falkon
Portage 3.0.30 (python 3.9.10-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-11.2.1, glibc-2.34-r8, 5.15.16-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.15.16-gentoo-x86_64-Intel-R-_Core-TM-_i7-8665U_CPU_@_1.90GHz-with-glibc2.34
KiB Mem:    32681528 total,   4306064 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Mon, 07 Feb 2022 09:30:01 +0000
Head commit of repository gentoo: b9949ed12bfec38f088448664b2a1e655ae74ff4
Head commit of repository flatpak-overlay: 4bf9a7815ca9361f86459c8a8e9bc403e3721704

Head commit of repository kdab-overlay: 7f7d39d40b5d0561c56201e7642796e99d0c99b6

sh bash 5.1_p16
ld GNU ld (Gentoo 2.37_p1 p2) 2.37
app-misc/pax-utils:        1.3.3::gentoo
app-shells/bash:           5.1_p16::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.34.0-r6::gentoo
dev-lang/python:           2.7.18_p13::gentoo, 3.9.10-r1::gentoo, 3.10.2-r1::gentoo
dev-lang/rust-bin:         1.58.1::gentoo
dev-util/cmake:            3.22.2::gentoo
dev-util/meson:            0.61.1::gentoo
sys-apps/baselayout:       2.8::gentoo
sys-apps/openrc:           0.44.10::gentoo
sys-apps/sandbox:          2.29::gentoo
sys-devel/autoconf:        2.13-r1::gentoo, 2.69-r5::gentoo, 2.71-r1::gentoo
sys-devel/automake:        1.16.5::gentoo
sys-devel/binutils:        2.37_p1-r2::gentoo
sys-devel/binutils-config: 5.4::gentoo
sys-devel/clang:           12.0.1::gentoo, 13.0.0::gentoo
sys-devel/gcc:             10.3.1_p20211126::gentoo, 11.2.1_p20220115::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.6-r6::gentoo
sys-devel/lld:             13.0.0::gentoo
sys-devel/llvm:            11.1.0::gentoo, 12.0.1::gentoo, 13.0.0::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.16::gentoo (virtual/os-headers)
sys-libs/glibc:            2.34-r8::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24

flatpak-overlay
    location: /var/db/repos/flatpak
    sync-type: git
    sync-uri: https://github.com/fosero/flatpak-overlay.git
    masters: gentoo
    priority: 50

kdab-overlay
    location: /var/db/repos/kdab
    sync-type: git
    sync-uri: https://github.com/KDAB/kdab-overlay.git
    masters: gentoo
    priority: 50

localrepo
    location: /var/db/repos/localrepo
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=native -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg-live config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=native -pipe"
GENTOO_MIRRORS="https://ftp.fau.de/gentoo"
LANG="en_US.utf-8"
LC_ALL="en_US.utf-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/dev/shm"
SHELL="/bin/bash"
USE="X a52 aac acl acpi activities adns alsa amd64 audit avif bcrypt berkdb blake2 bluetooth bluray boost branding brightness-control brotli bzip2 cacert cairo caps cdda cdr chm cli colord cplugins crypt cscope cups curl dbus declarative dia djvu dri dts dvd dvdr ed25519 egl eglfs elf elogind encode eps epub evdev exif ffmpeg fftw fits flac fontconfig fontforge fortran gdbm gif gles gles2 gmp gold gpm graphviz gsl gtk gui heif highlight http2 iconv icu idn imagemagick ipv6 jack jpeg jpeg2k json kde kms kwallet lapack lapacke latex lcms libbsd libglvnd libnotify libsamplerate libtirpc lm-sensors lz4 lzma mad markdown metis mms mng mobi mp3 mp4 mpeg mtp multilib ncurses nls nptl ogg openexr opengl openmp pam pango pcre pdf perl plasma plugins pm-utils png policykit postscript ppds pthread python qml qt5 quiche raw readline rtmp sasl screencast sctp sdl seccomp semantic-desktop sparse speex spell split-usr sqlite ssh ssl startup-notification svg svt-av1 szip terminal theora threads thunderbolt tiff tools touchpad truetype udev udisks unicode upower usb utils v4l vaapi vim-syntax vorbis wayland webp widgets x264 xar xattr xcb xml xpm xv xvid xxhash yaml z3 zimg zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 aes avx avx2 f16c fma3 pclmul popcnt sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="de en fr" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="BPF X86 WebAssembly" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9 python3_10" USERLAND="GNU" VIDEO_CARDS="intel i965 iris" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS

=================================================================
                        Package Settings
=================================================================

dev-python/shiboken2-5.15.2-r1::gentoo was built with the following:
USE="docstrings -numpy -test -vulkan" ABI_X86="(64)" PYTHON_TARGETS="python3_10 python3_9 -python3_8"
FEATURES="binpkg-multi-instance sandbox sfperms ipc-sandbox usersandbox merge-sync ebuild-locks fixlafiles unmerge-orphans strict binpkg-dostrip assume-digests preserve-libs config-protect-if-modified distlocks buildpkg-live qa-unresolved-soname-deps pid-sandbox network-sandbox unmerge-logs userpriv usersync binpkg-logs unknown-features-warn xattr binpkg-docompress parallel-fetch userfetch news protect-owned multilib-strict"


www-client/falkon-3.1.0-r1::gentoo was built with the following:
USE="X dbus kde -debug -libressl -test" ABI_X86="(64)"
FEATURES="unmerge-logs merge-sync pid-sandbox network-sandbox news unknown-features-warn userfetch multilib-strict sfperms strict config-protect-if-modified distlocks sandbox ipc-sandbox ebuild-locks parallel-fetch xattr usersync preserve-libs binpkg-docompress qa-unresolved-soname-deps binpkg-dostrip assume-digests unmerge-orphans userpriv protect-owned usersandbox binpkg-logs fixlafiles"
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-02-08 08:27:48 UTC
Please attach the full build.log.
Comment 2 Olivier Huber 2022-02-08 08:31:34 UTC
Created attachment 764604 [details, diff]
ebuild patch

patch for ebuild. Unsure about the best practice to select the python version, used https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e3eb85f19ac6d60b334dd63f6401fbe3bb4f300 as an example
Comment 3 Olivier Huber 2022-02-08 08:34:48 UTC
Created attachment 764612 [details, diff]
patch to specify python version

- ensures that the python interpreter is detected before the packages
- set PYTHON_CONFIG_SUFFIX to ensure that the Shiboken2 package uses the right python version
Comment 4 Olivier Huber 2022-02-08 08:35:47 UTC
Created attachment 764613 [details]
build log
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-02-08 08:38:25 UTC
Thanks!
Comment 6 Andreas Sturmlechner gentoo-dev 2022-02-09 21:32:38 UTC
Python3 definitely must go first in CMakeLists.txt, you got that right.

Why additional Interpreter dep though? And unsure about the need for anything else than -DPython3_EXECUTABLE="${PYTHON}".
Comment 7 Olivier Huber 2022-02-10 21:05:55 UTC
(In reply to Andreas Sturmlechner from comment #6)
> Python3 definitely must go first in CMakeLists.txt, you got that right.
> 
> Why additional Interpreter dep though? And unsure about the need for
> anything else than -DPython3_EXECUTABLE="${PYTHON}".

Thanks for the feedback. I ported these patches as a starting point.

- adding Interpreter in CmakeLists.txt is indeed unnecessary.


- With only "-DPython3_EXECUTABLE="${PYTHON}", I get:

-- Found Python3: /usr/include/python3.10 (found version "3.10.2") found components: Development Development.Module Development.Embed 
-- Found PythonInterp: /dev/shm/portage/www-client/falkon-3.2.0-r1/temp/python3.9/bin/python (found suitable version "3.9.10", minimum required is "3") 
-- Found PythonLibs: /usr/lib64/libpython3.9.so (found suitable version "3.9.10", minimum required is "3")

- With "-DPython3_EXECUTABLE" and "-DPython3_LIBRARY", I get

-- Could NOT find Python3 (missing: Development Development.Module Development.Embed) (found version "3.9")
-- Found PythonInterp: /dev/shm/portage/www-client/falkon-3.2.0-r1/temp/python3.9/bin/python (found suitable version "3.9.10", minimum required is "3") 
-- Found PythonLibs: /usr/lib64/libpython3.9.so (found suitable version "3.9.10", minimum required is "3")

-  With "-DPython3_EXECUTABLE" and "-DPython3_INCLUDE_DIR", I get

-- Could NOT find Python3 (missing: Development Development.Module Development.Embed) (found version "3.10")
-- Found PythonInterp: /dev/shm/portage/www-client/falkon-3.2.0-r1/temp/python3.9/bin/python (found suitable version "3.9.10", minimum required is "3") 
-- Found PythonLibs: /usr/lib64/libpython3.9.so (found suitable version "3.9.10", minimum required is "3") 
CMake Error at /usr/lib64/cmake/Shiboken2-5.15.2/shiboken_helpers.cmake:468 (message):
  The detected Python minor version is not compatible with the Python minor
  version which was used when Shiboken was built.  Consider building shiboken
  with FORCE_LIMITED_API set to '1', so that only the Python major version
  matters.

  Built with: '3.10' Detected: '3.9'
Call Stack (most recent call first):
  /usr/lib64/cmake/Shiboken2-5.15.2/Shiboken2Config-python3.10.cmake:55 (shiboken_check_if_built_and_target_python_are_compatible)
  /usr/lib64/cmake/Shiboken2-5.15.2/Shiboken2Config.cmake:5 (include)
  CMakeLists.txt:130 (find_package)


Actually, removing Python3_EXECUTABLE is possible (I just noticed Cmake warned that it was not used)

I tried to find some snippet I could use, but came empty handed from reading https://projects.gentoo.org/python/guide/single.html
Comment 8 Benjamin Réveillé 2022-02-11 20:45:46 UTC
Thanks, used both patches and was able to emerge
Comment 9 Andreas Sturmlechner gentoo-dev 2022-05-18 11:28:59 UTC
*** Bug 840434 has been marked as a duplicate of this bug. ***
Comment 10 B Nice 2022-05-19 03:29:24 UTC
Created attachment 779468 [details]
Build log of Falkon-22 with pyhton patch applied

The other patch would not apply even after modifying the falkon version to be appropriate.  The python select patch applied, but the build still failed.

sudo emerge -pqv '=www-client/falkon-22.04.1::gentoo'
[ebuild  N    ] www-client/falkon-22.04.1  USE="X dbus kde python -debug -test" PYTHON_SINGLE_TARGET="python3_9 -python3_8 -python3_10"

sudo emerge --info '=www-client/falkon-22.04.1::gentoo'
Portage 3.0.30 (python 3.9.13-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-11.3.0, glibc-2.35-r5, 5.17.5-gentoo-dist x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.17.5-gentoo-dist-x86_64-Intel-R-_Core-TM-_i7-8565U_CPU_@_1.80GHz-with-glibc2.35
KiB Mem:    16083380 total,   3968664 free
KiB Swap:     524284 total,       376 free
Timestamp of repository gentoo: Wed, 18 May 2022 20:30:01 +0000
Head commit of repository gentoo: 36d52f5fb108e6cc0663a6cbfdce443127a6577f
sh bash 5.1_p16
ld GNU ld (Gentoo 2.38 p4) 2.38
app-misc/pax-utils:        1.3.4::gentoo
app-shells/bash:           5.1_p16::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.34.1-r3::gentoo
dev-lang/python:           3.9.13::gentoo, 3.10.4_p1::gentoo, 3.11.0_beta1-r2::gentoo
dev-lang/rust:             1.60.0::gentoo
dev-util/cmake:            3.23.1::gentoo
dev-util/meson:            0.62.1::gentoo
sys-apps/baselayout:       2.8::gentoo
sys-apps/openrc:           0.44.10::gentoo
sys-apps/sandbox:          2.29::gentoo
sys-devel/autoconf:        2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:        1.16.5::gentoo
sys-devel/binutils:        2.38-r2::gentoo
sys-devel/binutils-config: 5.4.1::gentoo
sys-devel/clang:           14.0.3::gentoo
sys-devel/gcc:             11.3.0::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.7::gentoo
sys-devel/lld:             14.0.3::gentoo
sys-devel/llvm:            13.0.1::gentoo, 14.0.3::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.17-r1::gentoo (virtual/os-headers)
sys-libs/glibc:            2.35-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 

torbrowser
    location: /var/lib/layman/torbrowser
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg-live config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="rsync://rsync.au.gentoo.org rsync://rsync1.au.gentoo.org http://gentoo.gossamerhost.com http://mirror.the-best-hosting.net"
LANG="en_CA.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="X a52 aac acl acpi activities alsa amd64 apache2 apm bluetooth branding bzip2 cairo cdda cdr cli client crypt cups dbus declarative dhclient dri dts dvd dvdr elogind encode exif fam firefox flac fortran gdbm gif gpm gtk gui iconv icu ipv6 java jpeg kde kdesu kerberos kwallet lcms ldap libglvnd libnotify libtirpc lm_sensor mad mng mp3 mp4 mpeg multilib mysql mysqli ncurses networkmanager nls nptl nss offensive ogg opengl openmp openssl pam pango pc-utils pcre pdf plasma png policykit ppds pulseaudio python qml qt5 readline samba sdl seccomp semantic-desktop spell split-usr ssl startup-notification svg tiff truetype udev udisks unicode upower usb vorbis widgets wifi win32codecs wxwidgets x264 x265 xattr xcb xml xv xvid zlib" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en_CA.utf8" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 11 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-19 03:30:04 UTC
Note that Python support has been ripped out from the ebuild for now, so if it's still failing to build, a fresh build.log is needed when trying the version in ~arch.
Comment 12 Andreas Sturmlechner gentoo-dev 2022-05-19 07:57:16 UTC
>=22.04.1 still have IUSE=python.
Comment 13 Andreas Sturmlechner gentoo-dev 2022-05-19 09:28:21 UTC
*** Bug 846437 has been marked as a duplicate of this bug. ***
Comment 14 Geoff Madden 2022-05-23 06:45:23 UTC
Having a problem with ninja when trying to compile falkon-22.04.1, /proc/cpuinfo shows 11 cpu cores while the boxing only shows 6 cores,consequently ninja shows -v -j12 -l0 regardless of what I put into make.conf & or package use. Just trying to find a way to get falkon compiled.
Comment 15 Andreas Sturmlechner gentoo-dev 2022-05-23 17:41:03 UTC
Unless you are having a build failure with the error mentioned in $summary, you are in the wrong bug.
Comment 16 Geoff Madden 2022-05-24 04:49:03 UTC
(In reply to Andreas Sturmlechner from comment #15)
> Unless you are having a build failure with the error mentioned in $summary,
> you are in the wrong bug.

Yes I am having trouble compiling with the same error as above & was trying to see if there was a relation to the failure,with ninja, but to no avail.
Comment 17 Andreas Sturmlechner gentoo-dev 2022-05-26 21:33:07 UTC
This bug does not need more debugging.

To workaround it, set "-python".
Comment 18 George Shapovalov 2022-06-12 10:50:13 UTC
(In reply to Andreas Sturmlechner from comment #17)
> This bug does not need more debugging.
> 
> To workaround it, set "-python".

To workaround you can set PYTHON_SINGLE_TARGET to whatever version shiboken wants. That allows the build to start. However then it hits that other -l0 issue..
Comment 19 Andreas Sturmlechner gentoo-dev 2022-06-14 10:04:24 UTC
*** Bug 851876 has been marked as a duplicate of this bug. ***